purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Sugar.TypeDeclarations

Description

This module implements the desugaring pass which replaces top-level type declarations with type annotations on the corresponding expression.

Synopsis

- desugarTypeDeclarationsModule :: MonadError MultipleErrors m => Module -> m Module

# Documentation

desugarTypeDeclarationsModule :: MonadError MultipleErrors m => Module -> m Module #

Replace all top level type declarations in a module with type annotations